#include <bits/stdc++.h>

using namespace std;

int redosled(int a , int b)
{
    int maks;
    int a1 , b1;
    int a2 = a % 10;
    int b2 = b % 10;
    while(maks != a && maks != b)
    {
        a1 = a % 10;
        b1 = b % 10;
        if(a == b)
            maks = a;
            break;
        if(a == 0)
        {
            if(a2 > b1)
                {
                    maks = a;
                    break;
                }
            else if(a2 < b1)
               {
                   maks = b;
                   break;
               }
            else
                {
                    maks = a;
                    break;
                }
        }
        if(b == 0)
        {
            if(b2 > a1)
               {
                   maks = b;
                   break;
               }
            else if(b2 < a1)
               {
                   maks = a;
                   break;
               }

            else
            {
                maks = b;
                break;
            }


        }

        if(a1 > b1)
           {
               maks = a;
                break;
           }
        else if(b1 > a1)
           {
               maks = b;
                break;
           }
        else
           {
               a = a / 10;
               b = b / 10;
           }

    }
    return maks;

}

int okrenibroj(int a)
{
    int a1;
    int i = 0 , n;
    while(a != 0)
    {
        n = a % 10;
        a1 = a1 + n * pow(i,10);

        i++;
    }
    return a1;
}

int main()
{
   int a , b , c;
    cin >> a >> b >> c;
    int a1 = okrenibroj(a);
    int b1 = okrenibroj(b);
    int c1 = okrenibroj(c);
    int maks1 = redosled(a1,b1);
    int maks2 = redosled(a1,c1);
    int maks3 = redosled(b1,c1);
    if(maks1 == a1)
    {
        if(maks2 == a1)
            cout << a << okrenibroj(maks3) << okrenibroj(b1 + c1 - maks3) << endl;
        else if(maks2 == c1)
            cout << c << a << b << endl;
    }
    else if(maks1 == b1)
    {
        if(maks3 == b1)
            cout << b << okrenibroj(maks2) << okrenibroj(a1 + c1 - maks2) << endl;
        else if(maks3 == c1)
            cout << c << b << a << endl;
    }

    return 0;
}